Subject: Re: [PATCH 1/2] commit: remove unused forward declaration

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 24 Feb 2026 10:35:17 +0100

On Mon, Feb 23, 2026 at 01:41:45PM -0600, Justin Tobler wrote:
> In 6206089cbd (commit: write commits for both hashes, 2023-10-01),
> `sign_with_header()` was removed, but its forward declaration in
> "commit.h" was left. Remove the unused declaration.

Indeed, the definition of that function doesn't exist anymore.

Patrick